package kadai;
import static org.junit.Assert.*;
import java.util.Map;
import kaitou.TDUMap2;
import org.junit.Test;
public class TDUMap2Test {
	@Test
	public void testEntrySet() {
		Map<String, Integer> m = new TDUMap2(null);
		assertEquals("[]",m.entrySet().toString());
		final TDUMapEntry1 e1 = new TDUMapEntry1("abc",123);
		m = new TDUMap2(e1);
		assertEquals("[abc=123]",m.entrySet().toString());
		final TDUMapEntry1 e2 = new TDUMapEntry1("def",456);
		e1.left=e2;
		m = new TDUMap2(e1);
		assertEquals("[def=456, abc=123]",m.entrySet().toString());
		final TDUMapEntry1 e3 = new TDUMapEntry1("ghi",789);
		e1.right=e3;
		m = new TDUMap2(e1);
		assertEquals("[def=456, abc=123, ghi=789]",m.entrySet().toString());
		final TDUMapEntry1 e4 = new TDUMapEntry1("jkl",12);
		e2.left=e4;
		m = new TDUMap2(e1);
		assertEquals("[jkl=12, def=456, abc=123, ghi=789]",m.entrySet().toString());
		final TDUMapEntry1 e5 = new TDUMapEntry1("mno",345);
		e2.right=e5;
		m = new TDUMap2(e1);
		assertEquals("[jkl=12, def=456, mno=345, abc=123, ghi=789]",m.entrySet().toString());
		final TDUMapEntry1 e6 = new TDUMapEntry1("pqr",678);
		e3.right=e6;
		m = new TDUMap2(e1);
		assertEquals("[jkl=12, def=456, mno=345, abc=123, ghi=789, pqr=678]",m.entrySet().toString());
	}
}
